ru.bitel.bgbilling.kernel.contract.api.common.service

## Interface ContractStatusService

-     public interface ContractStatusService

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ContractStatusService.ContractStatusChangeParameters`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `MapHolder<java.lang.String,java.lang.String>` | `contractStatusChange(int contractId, ContractStatus contractStatus, boolean customer, boolean confirmChecked)`
    `ContractStatusService.ContractStatusChangeParameters` | `contractStatusChangeParametersGet(int contractId)`
    `java.util.List<ContractStatus>` | `contractStatusList(int contractId, java.util.Date date)`
    `java.util.List<Status>` | `statusList()`

- - ### Method Detail

    - #### statusList

          java.util.List<Status> statusList()
                                     throws ru.bitel.bgbilling.common.BGException,
                                            ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### contractStatusList

          java.util.List<ContractStatus> contractStatusList(int contractId,
                                                            java.util.Date date)
                                                     throws ru.bitel.bgbilling.common.BGException,
                                                            ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### contractStatusChangeParametersGet

          ContractStatusService.ContractStatusChangeParameters contractStatusChangeParametersGet(int contractId)
                                                                                          throws ru.bitel.bgbilling.common.BGException,
                                                                                                 ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### contractStatusChange

          MapHolder<java.lang.String,java.lang.String> contractStatusChange(int contractId,
                                                                            ContractStatus contractStatus,
                                                                            boolean customer,
                                                                            boolean confirmChecked)
                                                                     throws ru.bitel.bgbilling.common.BGException,
                                                                            ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`